#!/usr/bin/env bash

op=$( echo -e " Development\n School\n Work" | wofi -i --dmenu --width 250 --height 260 | awk '{print $2}' )
echo "$op"

case $op in
  Development|School|Work)
    break
    ;;
  *)
    exit 1;;
esac



new_ws="$op"
int=0

while [[ "\"$new_ws\"" == $(swaymsg -t get_workspaces | jq '.[] | select(.name=="'$new_ws'")|.name') ]];do
  int=$(($int+1))
  new_ws="${op}${int}"
done
echo "new_ws: $new_ws"
swaymsg workspace "${new_ws}"
sway reload
